Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039760
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-12-04 17:202018-12-11 15:27
ReporteraaroncaleroView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionc835aed8258f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039760: [Service by Tranche] WebPOS blocked after removing a ticket when Save Removed Tickets is configured

DescriptionWhen the WebPOS Save Removed Tickets preference is configured, removing a ticket with a product and a service (configured with tranches) leaves the WebPOS in a blocked state.

When that ticket is removed, a calculateReceipt is fired (because of the Save Removed Tickets preference), and then on the calculatedReceipt event the Service Tranches logic tries to remove again the service, triggering a second calculateReceipt when it is blocked
Steps To ReproduceIn an environment with the standard Retail sampledata:
Login in backend as White Valley Group Admin.
Go to the Preference window and configure the 'Web POS Save Removed Tickets' preference.
Go to the Product window, find the 'Customize Coat' product, and on its Price Rule Version tab modify the existing record and define a Minimum of 50 and a Maximum of 150.

Login in webpos
Create a new ticket
Add the product Coat
When the related services are shown, add the Customize Coat service.
Try to delete the ticket.
The Service Removed popup will be shown (which is not correct)
Moreover, a "calculateGross execution is forbidden right now" error will be shown in the browser console.
Proposed SolutionAttached patch with the solution: the Service by Tranche logic to remove services will ignore lines that are already deleted.
TagsNo tags attached.
Attached Files? file icon Issue39760.export [^] (1,049 bytes) 2018-12-04 17:30

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108353)
hgbot (developer)
2018-12-10 07:32

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c835aed8258fe2e051b1b30b7655132ff012f90c
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Dec 10 12:02:20 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c835aed8258fe2e051b1b30b7655132ff012f90c [^]

Fixed issue 39760 : Service should not be validated while deleting ticket with Save Ticket Preference is enabled

---
M web/org.openbravo.retail.posterminal/js/components/order.js
---
(0108357)
migueldejuana (developer)
2018-12-10 11:58

Tested and reviewed
(0108395)
hgbot (developer)
2018-12-11 15:27

Repository: tools/automation/pi-mobile
Changeset: 543e80aa603da32e994fd82b61b7ae0afb886a26
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Mon Dec 10 14:17:42 2018 -0500
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/543e80aa603da32e994fd82b61b7ae0afb886a26 [^]

Related to issue 39760: added automated test

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I39760_VerifyPOSWhenRemovingTicketWithSavedRemovedTicketsPref.java
---

- Issue History
Date Modified Username Field Change
2018-12-04 17:20 aaroncalero New Issue
2018-12-04 17:20 aaroncalero Assigned To => Retail
2018-12-04 17:20 aaroncalero Triggers an Emergency Pack => No
2018-12-04 17:30 aaroncalero File Added: Issue39760.export
2018-12-06 14:09 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2018-12-06 14:10 ranjith_qualiantech_com Status new => scheduled
2018-12-10 07:32 hgbot Checkin
2018-12-10 07:32 hgbot Note Added: 0108353
2018-12-10 07:32 hgbot Status scheduled => resolved
2018-12-10 07:32 hgbot Resolution open => fixed
2018-12-10 07:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c835aed8258fe2e051b1b30b7655132ff012f90c [^]
2018-12-10 11:58 migueldejuana Review Assigned To => migueldejuana
2018-12-10 11:58 migueldejuana Note Added: 0108357
2018-12-10 11:58 migueldejuana Status resolved => closed
2018-12-11 15:27 hgbot Checkin
2018-12-11 15:27 hgbot Note Added: 0108395


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker